Summary:	PhpWebGallery
Name:		phpwebgallery
Version:	1.7.2
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.phpwebgallery.net/
Source0:	http://download.gna.org/phpwebgallery/release/1.7/%{version}/%{name}-%{version}.tar.gz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.4
Requires(pre):	apache-mpm >= 2.2.4
Requires(pre):	apache-mod_php php-mysql php-gd
BuildRequires:	file
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PhpWebGallery is an image gallery with a very simple installation interface and
administration panel. It features free or restricted access, user management,
groups, access management for each category, multi-server support (to store
your pictures on another Web site), user comments, HTML templates, virtual
categories, and multilingual support (English, French, German, Italian, Dutch,
Russian, Norwegian, Spanish, Danish, Swedish, Japanese, Brazilian Portuguese,
and Czech). 

%prep

%setup -q -n %{name}-%{version}

echo "// this line was added to please rpmlint" >> include/mysql.inc.php

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}/var/www/%{name}
cp -aRf * %{buildroot}/var/www/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

EOF

# cleanup
rm -rf %{buildroot}/var/www/%{name}/doc

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/README* doc/ChangeLog
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
/var/www/%{name}
%attr(0640,apache,root) %config(noreplace) /var/www/%{name}/include/mysql.inc.php
%attr(0755,apache,root) %dir /var/www/%{name}/galleries


%changelog
* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-1mdv2009.0
+ Revision: 282183
- 1.7.2

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.7.0-4mdv2009.0
+ Revision: 242298
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-2mdv2008.0
+ Revision: 43841
- fix deps

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdv2008.0
+ Revision: 24019
- Import phpwebgallery



* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-1mdv2008.0
- 1.7.0

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-1mdv2007.0
- 1.6.1

* Wed Jul 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-1mdk
- 1.5.2 (Major feature enhancements)

* Mon Dec 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-1mdk
- 1.5.2 (Major security fixes)

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.1-1mdk
- 1.5.1 (Minor security fixes)

* Wed Nov 09 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-1mdk
- 1.5.0 (Major feature enhancements)

* Sun Oct 23 2005 Oden Eriksson <oeriksson@mandriva.com> 1.5.0-0.RC2.1mdk
- 1.5.0RC2

* Sun Jun 12 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.1-1mdk
- 1.4.1
- fix deps

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0
- use the %%mkrel macro

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.RC3.1mdk
- 1.4.0RC3
- strip away annoying ^M

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.RC2.1mdk
- 1.4.0RC2

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200412272240.1mdk
- 200412272240
- new %%description

* Sun Oct 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200410260700.1mdk
- 200410260700

* Tue Sep 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409210700.1mdk
- 200409210700

* Thu Sep 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409080700.1mdk
- 200409080700

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409060700.1mdk
- 200409060700

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409050700.1mdk
- initial mandrake package
